Get bulk job status
curl --request GET \
--url https://api.signuprisk.com/v1/bulk/jobs/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.signuprisk.com/v1/bulk/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.signuprisk.com/v1/bulk/jobs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.signuprisk.com/v1/bulk/jobs/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"job": {
"id": "<string>",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
},
"progress": {
"total_rows": 123,
"processed_rows": 123,
"successful_rows": 123,
"failed_rows": 123,
"percent": 123
},
"results": {
"available": true,
"url": "<string>"
},
"error": "<string>",
"metadata": {
"warnings": [
{
"code": "<string>",
"message": "<string>",
"type": "<string>",
"upgrade_required": true,
"recommended_plan": "<string>",
"required_plan": "<string>",
"upgrade_url": "<string>"
}
]
}
}API Reference
Get bulk job status
GET
/
v1
/
bulk
/
jobs
/
{id}
Get bulk job status
curl --request GET \
--url https://api.signuprisk.com/v1/bulk/jobs/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.signuprisk.com/v1/bulk/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.signuprisk.com/v1/bulk/jobs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.signuprisk.com/v1/bulk/jobs/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"job": {
"id": "<string>",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
},
"progress": {
"total_rows": 123,
"processed_rows": 123,
"successful_rows": 123,
"failed_rows": 123,
"percent": 123
},
"results": {
"available": true,
"url": "<string>"
},
"error": "<string>",
"metadata": {
"warnings": [
{
"code": "<string>",
"message": "<string>",
"type": "<string>",
"upgrade_required": true,
"recommended_plan": "<string>",
"required_plan": "<string>",
"upgrade_url": "<string>"
}
]
}
}Authorizations
First-party API key. Send the canonical key as a Bearer token:
Authorization: Bearer eisk_live_eik_<24hex>_<64hex>
Used on all API-client routes (/v1/analyze-email, batch, bulk,
customer webhooks). Scopes (analyze, bulk, webhooks) authorize a
route; the account plan authorizes premium functionality.